Index: /branches/HTM-11.1-dev0/source/Lib/TLibCommon/ContextTables.h
===================================================================
--- /branches/HTM-11.1-dev0/source/Lib/TLibCommon/ContextTables.h	(revision 966)
+++ /branches/HTM-11.1-dev0/source/Lib/TLibCommon/ContextTables.h	(revision 967)
@@ -110,9 +110,5 @@
 #define NUM_DMM1_DATA_CTX             1       ///< number of context models for DMM1 data
 #endif
-#if LGE_SIMP_DIM_NOT_PRESENT_FLAG_CODING_H0119_H0135
 #define NUM_ANGLE_FLAG_CTX            1
-#else
-#define NUM_ANGLE_FLAG_CTX            3
-#endif
 #endif
 
@@ -372,5 +368,4 @@
 };
 
-#if LGE_SIMP_DIM_NOT_PRESENT_FLAG_CODING_H0119_H0135
 static const UChar 
 INIT_ANGLE_FLAG[3][NUM_ANGLE_FLAG_CTX] =
@@ -380,13 +375,4 @@
   { 155 },
 };
-#else
-static const UChar 
-INIT_ANGLE_FLAG[3][NUM_ANGLE_FLAG_CTX] =
-{
-  { 154, 155, 156 },
-  { 141, 185, 214 },
-  { 155, 170, 157 },
-};
-#endif
 
 static const UChar 
@@ -444,5 +430,4 @@
 
 #if H_3D_DBBP
-#if MTK_DBBP_SIGNALING_H0094
 static const UChar INIT_DBBP_FLAG[3][DBBP_NUM_FLAG_CTX] =
 {
@@ -451,13 +436,5 @@
   { 161 },
 };
-#else
-static const UChar INIT_DBBP_FLAG[3][DBBP_NUM_FLAG_CTX] =
-{
-  { CNU },
-  { CNU },
-  { CNU },
-};
-#endif
-#endif
-
-#endif
+#endif
+
+#endif
Index: /branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- /branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 966)
+++ /branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 967)
@@ -610,8 +610,6 @@
     memset( m_apSegmentDCOffset[1]  + firstElement,     0,                numElements * sizeof( *m_apSegmentDCOffset[1] ) );
 #endif
-#if HS_DMM_SDC_PREDICTOR_UNIFY_H0108
     m_apDmmPredictor[0] = 0;
     m_apDmmPredictor[1] = 0;
-#endif
 #endif
 #if H_3D_DBBP
@@ -788,8 +786,6 @@
       m_apSegmentDCOffset[1][ui] = 0;
 #endif
-#if HS_DMM_SDC_PREDICTOR_UNIFY_H0108
       m_apDmmPredictor[0] = 0;
       m_apDmmPredictor[1] = 0;
-#endif
 #endif
 #if H_3D_DBBP
@@ -907,8 +903,6 @@
   memset( m_apSegmentDCOffset[1], 0, sizeof(Pel) * m_uiNumPartition   );
 #endif
-#if HS_DMM_SDC_PREDICTOR_UNIFY_H0108
   m_apDmmPredictor[0] = 0;
   m_apDmmPredictor[1] = 0;
-#endif
 #endif
 #if H_3D_DBBP
@@ -2399,24 +2393,4 @@
 }
 
-UInt TComDataCU::getCtxAngleFlag( UInt uiAbsPartIdx )
-{
-#if LGE_SIMP_DIM_NOT_PRESENT_FLAG_CODING_H0119_H0135
-  return 0;
-#else
-  TComDataCU* pcTempCU;
-  UInt        uiTempPartIdx;
-  UInt        uiCtx = 0;
-
-  // Get BCBP of left PU
-  pcTempCU = getPULeft( uiTempPartIdx, m_uiAbsIdxInLCU + uiAbsPartIdx );
-  uiCtx    = ( pcTempCU && pcTempCU->isIntra( uiTempPartIdx ) ) ? ( pcTempCU->getLumaIntraDir( uiTempPartIdx ) < NUM_INTRA_MODE ? 1 : 0 ) : 0;
-
-  // Get BCBP of above PU
-  pcTempCU = getPUAbove( uiTempPartIdx, m_uiAbsIdxInLCU + uiAbsPartIdx );
-  uiCtx   += ( pcTempCU && pcTempCU->isIntra( uiTempPartIdx ) ) ? ( pcTempCU->getLumaIntraDir( uiTempPartIdx ) < NUM_INTRA_MODE ? 1 : 0 ) : 0;
-
-  return uiCtx;
-#endif
-}
 #endif
 
@@ -4142,5 +4116,5 @@
       && !bARPFlag
 #endif
-#if RWTH_DBBP_NO_SPU_H0057
+#if H_3D_DBBP
       && !bDBBPFlag
 #endif
@@ -4169,5 +4143,5 @@
       && !bARPFlag
 #endif
-#if RWTH_DBBP_NO_SPU_H0057
+#if H_3D_DBBP
       && !bDBBPFlag
 #endif
@@ -4196,5 +4170,5 @@
       && !bARPFlag
 #endif
-#if RWTH_DBBP_NO_SPU_H0057
+#if H_3D_DBBP
       && !bDBBPFlag
 #endif
@@ -4222,5 +4196,5 @@
       && !bARPFlag
 #endif
-#if RWTH_DBBP_NO_SPU_H0057
+#if H_3D_DBBP
       && !bDBBPFlag
 #endif
@@ -4249,5 +4223,5 @@
       && !bARPFlag
 #endif
-#if RWTH_DBBP_NO_SPU_H0057
+#if H_3D_DBBP
       && !bDBBPFlag
 #endif
@@ -4282,5 +4256,5 @@
       && !bARPFlag
 #endif
-#if RWTH_DBBP_NO_SPU_H0057
+#if H_3D_DBBP
       && !bDBBPFlag
 #endif
@@ -4308,5 +4282,5 @@
       && !bARPFlag
 #endif
-#if RWTH_DBBP_NO_SPU_H0057
+#if H_3D_DBBP
       && !bDBBPFlag
 #endif
@@ -4334,5 +4308,5 @@
       && !bARPFlag
 #endif
-#if RWTH_DBBP_NO_SPU_H0057
+#if H_3D_DBBP
       && !bDBBPFlag
 #endif
@@ -4358,5 +4332,5 @@
       && !bARPFlag
 #endif
-#if RWTH_DBBP_NO_SPU_H0057
+#if H_3D_DBBP
       && !bDBBPFlag
 #endif
@@ -4384,5 +4358,5 @@
       && !bARPFlag
 #endif
-#if RWTH_DBBP_NO_SPU_H0057
+#if H_3D_DBBP
       && !bDBBPFlag
 #endif
@@ -4457,5 +4431,4 @@
       Int         iTexPosX, iTexPosY;
       const TComMv cMvRounding( 1 << ( 2 - 1 ), 1 << ( 2 - 1 ) );
-#if MPI_SUBPU_DEFAULT_MV_H0077_H0099_H0111_H0133
       
       Int         iCenterPosX = iCurrPosX + ( ( iWidth /  iPUWidth ) >> 1 )  * iPUWidth + ( iPUWidth >> 1 );
@@ -4519,5 +4492,4 @@
       if ( iInterDirSaved != 0 )
       {
-#endif
       for (Int i=iCurrPosY; i < iCurrPosY + iHeight; i += iPUHeight)
       {
@@ -4568,37 +4540,9 @@
               }
 #endif
-#if !MPI_SUBPU_DEFAULT_MV_H0077_H0099_H0111_H0133
-          else
-          {
-            if (iInterDirSaved ==0)
-            {
-#if ETRIKHU_CLEANUP_H0083
-                  bSPIVMPFlag = true;
-#else
-              pbSPIVMPFlag[iCount] = true;
-#endif
-              tmpDir = puhInterDirSP[iPartition];
-              tmpMV[0] = pcMvFieldSP[2*iPartition];
-              tmpMV[1] = pcMvFieldSP[2*iPartition+1];
-
-              if (iPartition != 0)
-              {
-                for (Int iPart = iPartition-1; iPart >= 0; iPart--)
-                {
-                  puhInterDirSP[iPart] = puhInterDirSP[iPartition];
-                  pcMvFieldSP[2*iPart] = pcMvFieldSP[2*iPartition];
-                  pcMvFieldSP[2*iPart + 1] = pcMvFieldSP[2*iPartition + 1];
-                }
-              }
-            }
-            iInterDirSaved = puhInterDirSP[iPartition];
-            cMvFieldSaved[0] = pcMvFieldSP[2*iPartition];
-            cMvFieldSaved[1] = pcMvFieldSP[2*iPartition + 1];
-          }
-#endif
+
           iPartition ++;
         }
       }
-#if MPI_SUBPU_DEFAULT_MV_H0077_H0099_H0111_H0133
+#if H_3D
       }
 #endif
@@ -5246,5 +5190,5 @@
       (nPSW + nPSH > 12) &&
 #endif
-#if RWTH_DBBP_NO_SPU_H0057
+#if H_3D_DBBP
       !bDBBPFlag &&
 #endif
Index: /branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComDataCU.h
===================================================================
--- /branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComDataCU.h	(revision 966)
+++ /branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComDataCU.h	(revision 967)
@@ -70,9 +70,4 @@
   Bool        abMergeFlag[2];       // for two segments
   UChar       auhMergeIndex[2];     // for two segments
-#if !RWTH_DBBP_NO_SPU_H0057
-  Char        ahVSPFlag[2];         // for two segments
-  DisInfo     acDvInfo[2];          // for two segments
-#endif
-  
   PartSize    eVirtualPartSize;
   UInt        uiVirtualPartIndex;
@@ -195,7 +190,5 @@
   Bool*         m_pbSDCFlag;
   Pel*          m_apSegmentDCOffset[2];
-#if HS_DMM_SDC_PREDICTOR_UNIFY_H0108
   Pel          m_apDmmPredictor[2];
-#endif
 #endif
 #endif
@@ -583,10 +576,7 @@
   Pel           getSDCSegmentDCOffset( UInt uiSeg, UInt uiPartIdx ) { return m_apSegmentDCOffset[uiSeg][uiPartIdx]; }
   Void          setSDCSegmentDCOffset( Pel pOffset, UInt uiSeg, UInt uiPartIdx) { m_apSegmentDCOffset[uiSeg][uiPartIdx] = pOffset; }
-#if HS_DMM_SDC_PREDICTOR_UNIFY_H0108
   Void          setDmmPredictor ( Pel pOffset, UInt uiSeg) { m_apDmmPredictor[uiSeg] = pOffset; }
   Pel           getDmmPredictor ( UInt uiSeg) { return m_apDmmPredictor[uiSeg]; }
-#endif
   UInt          getCtxSDCFlag          ( UInt   uiAbsPartIdx );
-  UInt          getCtxAngleFlag        ( UInt   uiAbsPartIdx );
 #endif
 #endif
Index: /branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- /branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComPrediction.cpp	(revision 966)
+++ /branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComPrediction.cpp	(revision 967)
@@ -500,8 +500,6 @@
   Pel* pDst = piPred;
   xAssignBiSegDCs( pDst, uiStride, biSegPattern, patternStride, segDC1, segDC2 );
-#if HS_DMM_SDC_PREDICTOR_UNIFY_H0108
   pcCU->setDmmPredictor(segDC1, 0);
   pcCU->setDmmPredictor(segDC2, 1);
-#endif
 
 #if H_3D_DIM_DMM
@@ -647,18 +645,8 @@
   
   // start mapping process
-#if !MTK_DBBP_AMP_REM_H0072
-  Bool bAMPAvail = uiSize > 8;
-  Int matchedPartSum[6][2] = {{0,0},{0,0},{0,0},{0,0},{0,0},{0,0}}; // counter for each part size and boolean option
-  PartSize virtualPartSizes[6] = { SIZE_Nx2N, SIZE_2NxN, SIZE_2NxnU, SIZE_2NxnD, SIZE_nLx2N, SIZE_nRx2N };
-#else
   Int matchedPartSum[2][2] = {{0,0},{0,0}}; // counter for each part size and boolean option
   PartSize virtualPartSizes[2] = { SIZE_Nx2N, SIZE_2NxN};
-#endif
   
   UInt uiHalfSize = uiSize>>1;
-#if !MTK_DBBP_AMP_REM_H0072
-  UInt uiQuarterSize = uiSize>>2;
-#endif
-  
   for (Int y=0; y<uiSize; y+=iSubSample)
   {
@@ -691,49 +679,4 @@
         matchedPartSum[1][1-ucSegment]++;
       }
-      
-#if !MTK_DBBP_AMP_REM_H0072
-      if( bAMPAvail )
-      {
-        // SIZE_2NxnU
-        if(y<uiQuarterSize)  // top (1/4)
-        {
-          matchedPartSum[2][ucSegment]++;
-        }
-        else  // bottom (3/4)
-        {
-          matchedPartSum[2][1-ucSegment]++;
-        }
-        
-        // SIZE_2NxnD
-        if(y<(uiQuarterSize*3))  // top (3/4)
-        {
-          matchedPartSum[3][ucSegment]++;
-        }
-        else  // bottom (1/4)
-        {
-          matchedPartSum[3][1-ucSegment]++;
-        }
-        
-        // SIZE_nLx2N
-        if(x<uiQuarterSize)  // left (1/4)
-        {
-          matchedPartSum[4][ucSegment]++;
-        }
-        else  // right (3/4)
-        {
-          matchedPartSum[4][1-ucSegment]++;
-        }
-        
-        // SIZE_nRx2N
-        if(x<(uiQuarterSize*3))  // left (3/4)
-        {
-          matchedPartSum[5][ucSegment]++;
-        }
-        else  // right (1/4)
-        {
-          matchedPartSum[5][1-ucSegment]++;
-        }
-      }
-#endif
     }
     
@@ -745,9 +688,5 @@
   
   Int iMaxMatchSum = 0;
-#if !MTK_DBBP_AMP_REM_H0072
-  for(Int p=0; p<6; p++)  // loop over partition
-#else
   for(Int p=0; p<2; p++)  // loop over partition
-#endif
   {
     for( Int b=0; b<=1; b++ ) // loop over boolean options
@@ -859,9 +798,7 @@
   
   UInt  uiMaskStride= MAX_CU_SIZE;
-#if SEC_DBBP_FILTERING_H0104
   Pel  filSrc = 0;
   Pel* tmpTar = 0;
   tmpTar = (Pel *)xMalloc(Pel, uiWidth*uiHeight);
-#endif
   
   // backup pointer
@@ -877,26 +814,12 @@
       
       // filtering
-#if SEC_DBBP_FILTERING_H0104
       tmpTar[y*uiWidth+x] = piSrc[ucSegment][x];
-#else
-      Bool t = (y==0)?pMaskStart[(y+1)*uiMaskStride+x]:pMaskStart[(y-1)*uiMaskStride+x];
-      Bool l = (x==0)?pMaskStart[y*uiMaskStride+x+1]:pMaskStart[y*uiMaskStride+x-1];
-      Bool b = (y==uiHeight-1)?pMaskStart[(y-1)*uiMaskStride+x]:pMaskStart[(y+1)*uiMaskStride+x];
-      Bool r = (x==uiWidth-1)?pMaskStart[y*uiMaskStride+x-1]:pMaskStart[y*uiMaskStride+x+1];
-      
-      Bool bBlend = !((t&&l&&b&&r) || (!t&&!l&&!b&&!r));
-      piDst[x] = bBlend?((piSrc[0][x]+piSrc[1][x]+1)>>1):piSrc[ucSegment][x];
-#endif
     }
     
     piSrc[0]  += uiSrcStride;
     piSrc[1]  += uiSrcStride;
-#if !SEC_DBBP_FILTERING_H0104
-    piDst     += uiDstStride;
-#endif
     pMask     += uiMaskStride;
   }
   
-#if SEC_DBBP_FILTERING_H0104
   for (Int y=0; y<uiHeight; y++)
   {
@@ -933,5 +856,4 @@
   }
   if ( tmpTar    ) { xFree(tmpTar);             tmpTar        = NULL; }
-#endif
   
   // now combine chroma
@@ -944,10 +866,8 @@
   UInt  uiWidthC        = uiWidth >> 1;
   UInt  uiHeightC       = uiHeight >> 1;
-#if SEC_DBBP_FILTERING_H0104
   Pel  filSrcU = 0, filSrcV = 0;
   Pel* tmpTarU = 0, *tmpTarV = 0;
   tmpTarU = (Pel *)xMalloc(Pel, uiWidthC*uiHeightC);
   tmpTarV = (Pel *)xMalloc(Pel, uiWidthC*uiHeightC);
-#endif
   pMask = pMaskStart;
   
@@ -960,18 +880,6 @@
       
       // filtering
-#if SEC_DBBP_FILTERING_H0104
       tmpTarU[y*uiWidthC+x] = piSrcU[ucSegment][x];
       tmpTarV[y*uiWidthC+x] = piSrcV[ucSegment][x];
-#else
-      Bool t = (y==0)?pMaskStart[(y+1)*2*uiMaskStride+x*2]:pMaskStart[(y-1)*2*uiMaskStride+x*2];
-      Bool l = (x==0)?pMaskStart[y*2*uiMaskStride+(x+1)*2]:pMaskStart[y*2*uiMaskStride+(x-1)*2];
-      Bool b = (y==uiHeightC-1)?pMaskStart[(y-1)*2*uiMaskStride+x*2]:pMaskStart[(y+1)*2*uiMaskStride+x*2];
-      Bool r = (x==uiWidthC-1)?pMaskStart[y*2*uiMaskStride+(x-1)*2]:pMaskStart[y*2*uiMaskStride+(x+1)*2];
-      
-      Bool bBlend = !((t&&l&&b&&r) || (!t&&!l&&!b&&!r));
-      
-      piDstU[x] = bBlend?((piSrcU[0][x]+piSrcU[1][x]+1)>>1):piSrcU[ucSegment][x];
-      piDstV[x] = bBlend?((piSrcV[0][x]+piSrcV[1][x]+1)>>1):piSrcV[ucSegment][x];
-#endif
     }
     
@@ -980,12 +888,7 @@
     piSrcV[0]   += uiSrcStrideC;
     piSrcV[1]   += uiSrcStrideC;
-#if !SEC_DBBP_FILTERING_H0104
-    piDstU      += uiDstStrideC;
-    piDstV      += uiDstStrideC;
-#endif
     pMask       += 2*uiMaskStride;
   }
 
-#if SEC_DBBP_FILTERING_H0104
   for (Int y=0; y<uiHeightC; y++)
   {
@@ -1035,5 +938,4 @@
   if ( tmpTarU    ) { xFree(tmpTarU);             tmpTarU        = NULL; }
   if ( tmpTarV    ) { xFree(tmpTarV);             tmpTarV        = NULL; }
-#endif
 }
 #endif
@@ -2328,59 +2230,10 @@
   if (orgDC == false)
   {
-#if !HS_DMM_SDC_PREDICTOR_UNIFY_H0108
-    if ( getDimType(uiIntraMode) == DMM1_IDX )
-    {
-      UChar ucSegmentLT = pMask[0];
-      UChar ucSegmentRT = pMask[uiSize-1];
-      UChar ucSegmentLB = pMask[uiMaskStride * (uiSize-1)]; 
-      UChar ucSegmentRB = pMask[uiMaskStride * (uiSize-1) + (uiSize-1)]; 
-
-      rpSegMeans[ucSegmentLT] = pOrig[0];
-      rpSegMeans[ucSegmentRT] = pOrig[uiSize-1];
-      rpSegMeans[ucSegmentLB] = pOrig[uiStride * (uiSize-1) ];
-      rpSegMeans[ucSegmentRB] = pOrig[uiStride * (uiSize-1) + (uiSize-1) ];
-    }
-    else if( getDimType( uiIntraMode ) == DMM4_IDX )
-    {
-      Pel *ptmpOrig = pOrig;
-      Bool *ptmpMask = pMask, bBreak = false;
-      UChar ucSegment = ptmpMask? (UChar) ptmpMask[0] : 0;
-      UChar bFirstSeg = ucSegment;
-
-      rpSegMeans[ucSegment] = ptmpOrig[0];
-      for ( Int y = 0; y < uiSize; y++ )
-      {
-        for ( Int x = 0; x < uiSize; x++ )
-        {
-          ucSegment = ptmpMask[x];
-          assert( ucSegment < uiNumSegments );
-
-          if( bFirstSeg != ucSegment )
-          {
-            rpSegMeans[ucSegment] = ptmpOrig[x];
-            bBreak = true;
-            break;
-          }
-        }
-
-        if( bBreak )
-        {
-          break;
-        }
-
-        ptmpOrig  += uiStride;
-        ptmpMask  += uiMaskStride;
-      }
-    }
-    else
-#endif
-    {
-      Pel* pLeftTop = pOrig;
-      Pel* pRightTop = pOrig + (uiSize-1);
-      Pel* pLeftBottom = (pOrig+ (uiStride*(uiSize-1)));
-      Pel* pRightBottom = (pOrig+ (uiStride*(uiSize-1)) + (uiSize-1));
-
-      rpSegMeans[0] = (*pLeftTop + *pRightTop + *pLeftBottom + *pRightBottom + 2)>>2;
-    }
+    Pel* pLeftTop = pOrig;
+    Pel* pRightTop = pOrig + (uiSize-1);
+    Pel* pLeftBottom = (pOrig+ (uiStride*(uiSize-1)));
+    Pel* pRightBottom = (pOrig+ (uiStride*(uiSize-1)) + (uiSize-1));
+
+    rpSegMeans[0] = (*pLeftTop + *pRightTop + *pLeftBottom + *pRightBottom + 2)>>2;
     return;
   }
Index: /branches/HTM-11.1-dev0/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/HTM-11.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 966)
+++ /branches/HTM-11.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 967)
@@ -339,23 +339,4 @@
 #define SEC_VER_DONBDV_H0103              1   // Vertical DV Restriction for DoNBDV
 #endif
-
-#if H_3D_DIM
-#define HS_DMM_SDC_PREDICTOR_UNIFY_H0108  1   // Unification of DMM and SDC predictor derivation
-#define LGE_SIMP_DIM_NOT_PRESENT_FLAG_CODING_H0119_H0135  1 // Use only one context for CABAC of dim_not_present_flag
-#define QC_SIMP_DELTADC_CODING_H0131      1   // Simplify detaDC entropy coding 
-
-#if H_3D_DIM_DLT
-#define SEC_NO_RESI_DLT_H0105             1
-#define MTK_DLT_CODING_FIX_H0091          1
-#endif
-#endif
-#if H_3D_DBBP
-#define MTK_DBBP_AMP_REM_H0072                 1
-#define RWTH_DBBP_NO_SPU_H0057                 1
-#define SEC_DBBP_FILTERING_H0104               1
-#define MTK_DBBP_SIGNALING_H0094               1    
-#endif
-
-#define MPI_SUBPU_DEFAULT_MV_H0077_H0099_H0111_H0133    1
 #endif
 
Index: /branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 966)
+++ /branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 967)
@@ -481,11 +481,8 @@
             READ_FLAG(uiCode, "inter_view_dlt_pred_enable_flag[ i ]"); 
 
-#if  MTK_DLT_CODING_FIX_H0091
             if( uiCode )
             {
                 assert( pcDLT->getUseDLTFlag( 1 ));
             }
-#endif
-
             pcDLT->setInterViewDltPredEnableFlag( i, (uiCode == 1) ? true : false );
 
Index: /branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- /branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecCu.cpp	(revision 966)
+++ /branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecCu.cpp	(revision 967)
@@ -797,13 +797,8 @@
     }
     
-#if RWTH_DBBP_NO_SPU_H0057
     AOF( pcCU->getARPW(uiPartAddr) == 0 );
     AOF( pcCU->getICFlag(uiPartAddr) == false );
     AOF( pcCU->getSPIVMPFlag(uiPartAddr) == false );
     AOF( pcCU->getVSPFlag(uiPartAddr) == 0 );
-#else
-    pDBBPTmpData->ahVSPFlag[uiSegment] = pcCU->getVSPFlag( uiPartAddr );
-    pDBBPTmpData->acDvInfo[uiSegment] = pcCU->getDvInfo( uiPartAddr );
-#endif
   }
   
@@ -814,10 +809,5 @@
   {
     pcCU->setInterDirSubParts( pDBBPTmpData->auhInterDir[uiSegment], 0, 0, uiDepth );
-    
-#if !RWTH_DBBP_NO_SPU_H0057
-    pcCU->setVSPFlagSubParts( pDBBPTmpData->ahVSPFlag[uiSegment], 0, 0, uiDepth );
-    pcCU->setDvInfoSubParts( pDBBPTmpData->acDvInfo[uiSegment], 0, 0, uiDepth );
-#endif
-    
+  
     for ( UInt uiRefListIdx = 0; uiRefListIdx < 2; uiRefListIdx++ )
     {
@@ -839,10 +829,4 @@
     
     pcCU->setDBBPFlagSubParts(true, uiPartAddr, uiSegment, uiDepth);
-    
-#if !RWTH_DBBP_NO_SPU_H0057
-    pcCU->setVSPFlagSubParts( pDBBPTmpData->ahVSPFlag[uiSegment], uiPartAddr, uiSegment, uiDepth );
-    pcCU->setDvInfoSubParts( pDBBPTmpData->acDvInfo[uiSegment], uiPartAddr, uiSegment, uiDepth );
-#endif
-    
     pcCU->setInterDirSubParts(pDBBPTmpData->auhInterDir[uiSegment], uiPartAddr, uiSegment, uiDepth); // interprets depth relative to LCU level
     
@@ -946,16 +930,5 @@
     for( UInt uiX = 0; uiX < uiWidth; uiX++ )
     {
-#if H_3D && !SEC_NO_RESI_DLT_H0105
-      if ( useDltFlag )
-      {
-        pReco    [ uiX ] = pcCU->getSlice()->getPPS()->getDLT()->idx2DepthValue( pcCU->getSlice()->getLayerIdInVps(), Clip3( 0, pcCU->getSlice()->getPPS()->getDLT()->getNumDepthValues( pcCU->getSlice()->getLayerIdInVps() ) - 1, pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pPred[ uiX ] ) + pResi[ uiX ] ) );
-      }
-      else
-      {
-        pReco    [ uiX ] = ClipY( pPred[ uiX ] + pResi[ uiX ] );
-      }
-#else
       pReco    [ uiX ] = ClipY( pPred[ uiX ] + pResi[ uiX ] );
-#endif
       pRecIPred[ uiX ] = pReco[ uiX ];
     }
@@ -1257,5 +1230,4 @@
   // get DC prediction for each segment
   Pel apDCPredValues[2];
-#if HS_DMM_SDC_PREDICTOR_UNIFY_H0108
   if ( getDimType( uiLumaPredMode ) == DMM1_IDX || getDimType( uiLumaPredMode ) == DMM4_IDX )
   {
@@ -1264,6 +1236,7 @@
   }
   else
-#endif
-  m_pcPrediction->analyzeSegmentsSDC(piPred, uiStride, uiWidth, apDCPredValues, uiNumSegments, pbMask, uiMaskStride, uiLumaPredMode);
+  {
+    m_pcPrediction->analyzeSegmentsSDC(piPred, uiStride, uiWidth, apDCPredValues, uiNumSegments, pbMask, uiMaskStride, uiLumaPredMode);
+  }
   
   // reconstruct residual based on mask + DC residuals
Index: /branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecEntropy.cpp
===================================================================
--- /branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 966)
+++ /branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 967)
@@ -140,9 +140,5 @@
 #if H_3D_DBBP
 
-#if MTK_DBBP_SIGNALING_H0094
   if( pcCU->getSlice()->getVPS()->getUseDBBP(pcCU->getSlice()->getLayerIdInVps()) )
-#else
-  if( pcCU->getSlice()->getVPS()->getUseDBBP(pcCU->getSlice()->getLayerIdInVps()) && pcCU->getPartitionSize(uiAbsPartIdx) == RWTH_DBBP_PACK_MODE )
-#endif
   {
     decodeDBBPFlag(pcCU, uiAbsPartIdx, uiDepth);
@@ -150,7 +146,4 @@
     if( pcCU->getDBBPFlag(uiAbsPartIdx) )
     {
-#if !MTK_DBBP_SIGNALING_H0094
-      AOF( pcCU->getPartitionSize(uiAbsPartIdx) == RWTH_DBBP_PACK_MODE );
-#endif
       
       // get collocated depth block
@@ -169,10 +162,8 @@
       pcCU->setPartSizeSubParts(eVirtualPartSize, uiAbsPartIdx, uiDepth);
       
-#if RWTH_DBBP_NO_SPU_H0057
       // make sure that DBBP flag is set for both segments
       UInt uiPUOffset = ( g_auiPUOffset[UInt( eVirtualPartSize )] << ( ( pcCU->getSlice()->getSPS()->getMaxCUDepth() - uiDepth ) << 1 ) ) >> 4;
       pcCU->setDBBPFlagSubParts(true, uiAbsPartIdx, 0, uiDepth);
       pcCU->setDBBPFlagSubParts(true, uiAbsPartIdx+uiPUOffset, 1, uiDepth);
-#endif
     }
   }
Index: /branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- /branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 966)
+++ /branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 967)
@@ -386,9 +386,5 @@
     uiCount++;
   }
-#if QC_SIMP_DELTADC_CODING_H0131
   while( uiSymbol && ( uiCount != 3 ) );
-#else
-  while( uiSymbol && ( uiCount != 13 ) );
-#endif
   ruiSymbol = uiCount - 1;
 
@@ -1137,9 +1133,5 @@
   if( ( pcCU->getSlice()->getSPS()->getMaxCUWidth() >> pcCU->getDepth( absPartIdx ) ) < 64 ) //DMM and HEVC intra modes are both allowed
   {
-#if LGE_SIMP_DIM_NOT_PRESENT_FLAG_CODING_H0119_H0135
     m_pcTDecBinIf->decodeBin( uiSymbol, m_cAngleFlagSCModel.get( 0, 0, 0 ) );
-#else
-    m_pcTDecBinIf->decodeBin( uiSymbol, m_cAngleFlagSCModel.get( 0, 0, pcCU->getCtxAngleFlag( absPartIdx ) ) );
-#endif
   }
   else
@@ -2156,12 +2148,6 @@
 Void TDecSbac::parseDBBPFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
 {
-#if !MTK_DBBP_SIGNALING_H0094
-  PartSize ePartSize = pcCU->getPartitionSize( uiAbsPartIdx );
-#endif
   AOF( pcCU->getSlice()->getVPS()->getUseDBBP(pcCU->getSlice()->getLayerIdInVps()) );
   AOF( !pcCU->getSlice()->getIsDepth() );
-#if !MTK_DBBP_SIGNALING_H0094
-  AOF( ePartSize == RWTH_DBBP_PACK_MODE );
-#endif
   
   UInt uiSymbol = 0;
Index: /branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecSlice.cpp
===================================================================
--- /branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecSlice.cpp	(revision 966)
+++ /branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecSlice.cpp	(revision 967)
@@ -221,5 +221,5 @@
     }
   }
-#if  MTK_DLT_CODING_FIX_H0091
+#if  H_3D
   if( pcSlice->getPPS()->getDLT() != NULL )
   {
Index: /branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 966)
+++ /branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 967)
@@ -273,5 +273,5 @@
   WRITE_FLAG( pcPPS->getSliceHeaderExtensionPresentFlag() ? 1 : 0, "slice_segment_header_extension_present_flag");
 
-  #if MTK_DLT_CODING_FIX_H0091
+  #if H_3D
     if(( !pcPPS->getSPS()->getVPS()->getDepthId( pcPPS->getSPS()->getLayerId() ) )||
         pcPPS->getLayerId() != 1  )
Index: /branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncCu.cpp
===================================================================
--- /branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncCu.cpp	(revision 966)
+++ /branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncCu.cpp	(revision 967)
@@ -2400,11 +2400,6 @@
     pDBBPTmpData->auhMergeIndex[uiSegment] = rpcTempCU->getMergeIndex(0);
     
-#if RWTH_DBBP_NO_SPU_H0057
     AOF( rpcTempCU->getSPIVMPFlag(0) == false );
     AOF( rpcTempCU->getVSPFlag(0) == 0 );
-#else
-    pDBBPTmpData->ahVSPFlag[uiSegment] = rpcTempCU->getVSPFlag(0);
-    pDBBPTmpData->acDvInfo[uiSegment] = rpcTempCU->getDvInfo(0);
-#endif
     
     for ( UInt uiRefListIdx = 0; uiRefListIdx < 2; uiRefListIdx++ )
@@ -2437,10 +2432,5 @@
     rpcTempCU->setMergeFlagSubParts(pDBBPTmpData->abMergeFlag[uiSegment], uiPartAddr, uiSegment, uhDepth);
     rpcTempCU->setMergeIndexSubParts(pDBBPTmpData->auhMergeIndex[uiSegment], uiPartAddr, uiSegment, uhDepth);
-    
-#if !RWTH_DBBP_NO_SPU_H0057
-    rpcTempCU->setVSPFlagSubParts(pDBBPTmpData->ahVSPFlag[uiSegment], uiPartAddr, uiSegment, uhDepth);
-    rpcTempCU->setDvInfoSubParts(pDBBPTmpData->acDvInfo[uiSegment], uiPartAddr, uiSegment, uhDepth);
-#endif
-    
+        
     for ( UInt uiRefListIdx = 0; uiRefListIdx < 2; uiRefListIdx++ )
     {
Index: /branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncEntropy.cpp
===================================================================
--- /branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 966)
+++ /branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 967)
@@ -255,10 +255,5 @@
   
 #if H_3D_DBBP
-
-#if MTK_DBBP_SIGNALING_H0094
   if( pcCU->getSlice()->getVPS()->getUseDBBP(pcCU->getSlice()->getLayerIdInVps()) )
-#else
-  if( pcCU->getSlice()->getVPS()->getUseDBBP(pcCU->getSlice()->getLayerIdInVps()) && pcCU->getPartitionSize(uiAbsPartIdx) == RWTH_DBBP_PACK_MODE )
-#endif
   {
     encodeDBBPFlag(pcCU, uiAbsPartIdx, bRD);
@@ -266,7 +261,4 @@
     if( pcCU->getDBBPFlag(uiAbsPartIdx) )
     {
-#if !MTK_DBBP_SIGNALING_H0094
-      AOF( pcCU->getPartitionSize(uiAbsPartIdx) == RWTH_DBBP_PACK_MODE );
-#endif
       // restore virtual partition size for DBBP blocks
       pcCU->setPartSizeSubParts(eVirtualPartSize, uiAbsPartIdx, uiDepth);
Index: /branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- /branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 966)
+++ /branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 967)
@@ -482,13 +482,7 @@
     m_pcBinIf->encodeBin( 1, rcSCModel );
     UInt uiCount = 0;
-#if QC_SIMP_DELTADC_CODING_H0131
     Bool bNoExGo = ( uiSymbol < 3 );
 
     while( --uiSymbol && ++uiCount < 3 )
-#else
-    Bool bNoExGo = (uiSymbol < 13);
-
-    while( --uiSymbol && ++uiCount < 13 )
-#endif
     {
       m_pcBinIf->encodeBin( 1, rcSCModel );
@@ -1243,9 +1237,5 @@
   if( ( pcCU->getSlice()->getSPS()->getMaxCUWidth() >> pcCU->getDepth( absPartIdx ) ) < 64 ) //DMM and HEVC intra modes are both allowed
   {
-#if LGE_SIMP_DIM_NOT_PRESENT_FLAG_CODING_H0119_H0135
     m_pcBinIf->encodeBin( isDimMode( dir ) ? 0 : 1, m_cAngleFlagSCModel.get( 0, 0, 0 ) );
-#else
-    m_pcBinIf->encodeBin( isDimMode( dir ) ? 0 : 1, m_cAngleFlagSCModel.get( 0, 0, pcCU->getCtxAngleFlag( absPartIdx ) ) );
-#endif
   }
   if( isDimMode( dir ) )
@@ -2373,8 +2363,4 @@
 Void TEncSbac::codeDBBPFlag( TComDataCU* pcCU, UInt uiAbsPartIdx )
 {
-#if !MTK_DBBP_SIGNALING_H0094
-  PartSize ePartSize = pcCU->getPartitionSize( uiAbsPartIdx );
-  AOF( ePartSize == RWTH_DBBP_PACK_MODE );
-#endif
   AOF( pcCU->getSlice()->getVPS()->getUseDBBP(pcCU->getSlice()->getLayerIdInVps()) );
   AOF( !pcCU->getSlice()->getIsDepth() );
Index: /branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- /branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 966)
+++ /branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 967)
@@ -1146,16 +1146,5 @@
         for( UInt uiX = 0; uiX < uiWidth; uiX++ )
         {
-#if H_3D_DIM && !SEC_NO_RESI_DLT_H0105
-          if( (isDimMode( uiLumaPredMode ) || uiLumaPredMode == HOR_IDX || uiLumaPredMode == VER_IDX || uiLumaPredMode == DC_IDX) && pcCU->getSlice()->getIsDepth() && pcCU->getSlice()->getPPS()->getDLT()->getUseDLTFlag(pcCU->getSlice()->getLayerIdInVps()) )
-          {
-            pResi[ uiX ] = pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pOrg[ uiX ] ) - pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pPred[ uiX ] );
-          }
-          else
-          {
-            pResi[ uiX ] = pOrg[ uiX ] - pPred[ uiX ];
-          }
-#else
           pResi[ uiX ] = pOrg[ uiX ] - pPred[ uiX ];
-#endif
         }
         pOrg  += uiStride;
@@ -1221,16 +1210,5 @@
       for( UInt uiX = 0; uiX < uiWidth; uiX++ )
       {
-#if H_3D_DIM && !SEC_NO_RESI_DLT_H0105
-        if( (isDimMode( uiLumaPredMode ) || uiLumaPredMode == HOR_IDX || uiLumaPredMode == VER_IDX || uiLumaPredMode == DC_IDX) && pcCU->getSlice()->getIsDepth() && pcCU->getSlice()->getPPS()->getDLT()->getUseDLTFlag(pcCU->getSlice()->getLayerIdInVps()) )
-        {
-          pReco    [ uiX ] = pcCU->getSlice()->getPPS()->getDLT()->idx2DepthValue( pcCU->getSlice()->getLayerIdInVps(), Clip3( 0, pcCU->getSlice()->getPPS()->getDLT()->getNumDepthValues( pcCU->getSlice()->getLayerIdInVps() ) - 1, pcCU->getSlice()->getPPS()->getDLT()->depthValue2idx( pcCU->getSlice()->getLayerIdInVps(), pPred[ uiX ] ) + pResi[ uiX ] ) );
-        }
-        else
-        {
-          pReco    [ uiX ] = ClipY( pPred[ uiX ] + pResi[ uiX ] );
-        }
-#else
         pReco    [ uiX ] = ClipY( pPred[ uiX ] + pResi[ uiX ] );
-#endif
         pRecQt   [ uiX ] = pReco[ uiX ];
         pRecIPred[ uiX ] = pReco[ uiX ];
@@ -1989,5 +1967,4 @@
   // get DC prediction for each segment
   Pel apDCPredValues[2];
-#if HS_DMM_SDC_PREDICTOR_UNIFY_H0108
   if ( getDimType( uiLumaPredMode ) == DMM1_IDX || getDimType( uiLumaPredMode ) == DMM4_IDX )
   {
@@ -1996,6 +1973,8 @@
   }
   else
-#endif
-  analyzeSegmentsSDC(piPred, uiStride, uiWidth, apDCPredValues, uiNumSegments, pbMask, uiMaskStride, uiLumaPredMode );
+  {
+    analyzeSegmentsSDC(piPred, uiStride, uiWidth, apDCPredValues, uiNumSegments, pbMask, uiMaskStride, uiLumaPredMode );
+  }
+
 
   // get original DC for each segment
@@ -3674,9 +3653,4 @@
       pcCU->setInterDirSubParts(pDBBPTmpData->auhInterDir[0], 0, 0, pcCU->getDepth(0)); // interprets depth relative to LCU level
       
-#if !RWTH_DBBP_NO_SPU_H0057
-      pcCU->setVSPFlagSubParts(pDBBPTmpData->ahVSPFlag[0], 0, 0, pcCU->getDepth(0));
-      pcCU->setDvInfoSubParts(pDBBPTmpData->acDvInfo[0], 0, 0, pcCU->getDepth(0));
-#endif
-      
       for ( UInt uiRefListIdx = 0; uiRefListIdx < 2; uiRefListIdx++ )
       {
